# Method: projects.jobs.batchDelete

- [HTTP request](https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/projects.jobs/batchDelete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/projects.jobs/batchDelete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/projects.jobs/batchDelete#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/projects.jobs/batchDelete#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/projects.jobs/batchDelete#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/projects.jobs/batchDelete#body.aspect)
- [Try it!](https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/projects.jobs/batchDelete#try-it)

Deletes a list of `https://docs.cloud.google.com/talent-solution/job-search/v3/docs/reference/rest/v3p1beta1/projects.jobs#Job`s by filter.

### HTTP request

`POST https://jobs.googleapis.com/v3p1beta1/{parent=projects/*}/jobs:batchDelete`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the project under which the job is created. The format is "projects/{projectId}", for example, "projects/api-test-project". |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "filter": string } ``` |

| Fields ||
|---|---|
| `filter` | `string` Required. The filter string specifies the jobs to be deleted. Supported operator: =, AND The fields eligible for filtering are: - `companyName` (Required) - `requisitionId` (Required) Sample Query: companyName = "projects/api-test-project/companies/123" AND requisitionId = "req-1" |

### Response body

If successful, the response body will be empty.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/jobs`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).